Subject: Re: linux-next: manual merge of the mm-stable tree with Linus' tree

From: Andrew Morton <[email-masked]>
Date: Sun, 14 Jul 2024 22:53:15 -0700

On Mon, 15 Jul 2024 08:42:39 +1000 Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> Today's linux-next merge of the mm-stable tree got a conflict in:
> 
>   mm/hugetlb.c
> 
> between commit:
> 
>   5596d9e8b553 ("mm/hugetlb: fix potential race in __update_and_free_hugetlb_folio()")
> 
> from Linus' tree and commit:
> 
>   a81fa1dc5db2 ("mm/hugetlb: fix potential race with try_memory_failure_hugetlb()")
> 
> from the mm-stable tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

Thanks.  This caused me grief.  

I removed a81fa1dc5db2 ("mm/hugetlb: fix potential race with
try_memory_failure_hugetlb()") from mm-stable and redid it against
mm-unstable.  It still has cc:stable so some merging work will be
needed when the stable tree maintainers get onto it.